# Packmangroup: Multimedia
# Packmanpackagename: mjpegtools
# Packman: Manfred Tremmel
# Packmanpackagedesc: <p>Update for the SuSE provided Version which dosen't contain mpeg-tools, so there can't be build Video-CDs with VideoDVD-Rip.</p>
# Packmanpackagedesc_de: <p>Update zur von SuSE mitgelieferten Version, die keine mpeg-tools enth&auml;lt, was z.B. die Video-CD-Erstellung VideoDVD-Rip verhindert.</p>

#
# spec file for package mjpegtools (Version 1.7.0)
#
# Based on the SuSE-Spec File:
# Copyright (c) 2004 SUSE LINUX AG, Nuernberg, Germany.
#

Name:           mjpegtools
Summary:        MJPEG Video Capture and Processing Tools
Summary(de):    MJPEG Video Capturing und Bearbeitungstools
License:        GPL, BSD
Group:          Productivity/Multimedia/Video/Editors and Convertors
URL:            http://mjpeg.sourceforge.net/
Version:        1.7.0
Release:        0.pm.0cvs20050401

Source0:        mjpeg_play.tar.bz2

Packager:       Manfred Tremmel <Manfred.Tremmel@iiv.de>
Vendor:         Packman
Distribution:   SuSE Linux 9.3 (i586)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Autoreqprov:    on
BuildRequires:  aaa_base
BuildRequires:  SDL-devel
BuildRequires:  expat
BuildRequires:  freetype2
BuildRequires:  freetype2-devel
BuildRequires:  glib
BuildRequires:  glib-devel
BuildRequires:  gtk
BuildRequires:  gtk-devel
BuildRequires:  libdv
BuildRequires:  libjpeg
BuildRequires:  libpng-devel
BuildRequires:  libquicktime
BuildRequires:  nasm
BuildRequires:  popt

%description
The mjpegtools allow for capture, playback, processing and simple editing of
MJPEG AV data. The hardware I/O applications are intended for use with Zoran
MJPEG framegrabber-based hardware (see package zoran-driver), but the processing
tools can be used with MJPEG data from other sources as well.


Authors:
--------
    Gernot Ziegler <gz@lysator.liu.se>
    Rainer Johanni <rainer@johanni.de>
    Andrew Stevens <Andrew.Stevens@comlab.ox.ac.uk>
    Xavier Biquard
    Ronald Bultje

%description -l de
Die mjpegtools sind fürs Aufnehmen, Abspielen und simples cut-and-paste Editieren
mit der MPEG Kompression (Audio und Video) unter linux. Transcode braucht diese
Tools um das mpeg2enc export Modul bauen zu können das für das herstellen von
SVCDS wichtig ist.


Autoren:
--------
    Gernot Ziegler <gz@lysator.liu.se>
    Rainer Johanni <rainer@johanni.de>
    Andrew Stevens <Andrew.Stevens@comlab.ox.ac.uk>
    Xavier Biquard
    Ronald Bultje

%prep
%setup -q -n mjpeg_play
#%patch0 -p1
#%setup -q -a 1 -a 2 -n %{name}-%{version}
#%patch2 -p1
#%patch3
#cd libmovtar-*
#%patch
#cd ../jpeg-mmx-*
#%patch1

%build
   libtoolize -f
   aclocal
   autoheader
   automake --foreign --add-missing --copy
   autoconf
%{?suse_update_config:%{suse_update_config -f}}
%ifarch %ix86
  export CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"
%else
%ifarch  x86_64 amd64 ia32e
  export CFLAGS="$RPM_OPT_FLAGS -L/usr/lib64 -fPIC -fno-strict-aliasing"
%else
  export CFLAGS="$RPM_OPT_FLAGS -fPIC -fno-strict-aliasing"
%endif
%endif
export CXXFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"
autoreconf -vfi
./configure --prefix=%{_prefix}			\
	--libdir=%{_libdir}			\
	--mandir=%{_mandir}			\
	--infodir=%{_infodir}			\
%ifarch ppc
	--disable-simd-accel			\
%endif
%ifarch %ix86
	--with-jpeg-mmx=`pwd`/jpeg-mmx-0.1.4	\
%endif
	--disable-cmov-extension		\
	--with-quicktime=%{_includedir}/quicktime	\
	--with-dv=%{_prefix}				\
	--disable-warnings_as_errors
%{__make}

%install
test "%{buildroot}" != "" -a "%{buildroot}" != "/" &&\
	%{__rm} -rf "%{buildroot}"
%{makeinstall}
%{__install} -m 755 scripts/lav2mpeg ${RPM_BUILD_ROOT}%{_bindir}
%{__rm} %{buildroot}/%{_infodir}/dir

%post
%install_info --info-dir=%{_infodir} %{_infodir}/mjpeg-howto.info.gz
%run_ldconfig

%postun
%install_info_delete --info-dir=%{_infodir} %{_infodir}/mjpeg-howto.info.gz
%run_ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS BUGS CHANGES COPYING ChangeLog HINTS INSTALL NEWS README* TODO
#%{_includedir}/*.h
%{_includedir}/mjpegtools
%{_bindir}/*
%{_libdir}/lib*
%{_libdir}/pkgconfig/*.pc
#%{_datadir}/aclocal/movtar.m4
%doc %{_infodir}/*
%doc %{_mandir}/man1/*
%doc %{_mandir}/man5/*

%changelog -n mjpegtools
* Fri Apr 01 2005 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- added CVS updates because of problems with newer libquicktime
  versions (like in SuSE 9.3)
* Fri Dec 24 2004 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- sync with SuSE 9.2 specfile
- some cleanups
* Sun May 02 2004 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- sync with SuSE 9.1 specfile
* Sat Feb 14 2004 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update mjpegtools -> 1.6.2, jpeg-mmx -> 0.1.5
* Sat Jan 17 2004 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update -> 1.6.1.93
* Sat Nov 29 2003 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update -> 1.6.1.92
* Sat Sep 06 2003 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update -> 1.6.1.90
* Sun Aug 10 2003 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- a little patch to compile with avifile 0.7.38
- some changes to make it compileable on ppc without problems
* Sat Apr 12 2003 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- added packman build header
- added german translation
- buildnumber updated to get no conflicts with SuSE 8.2 RPM
* Thu Dec 12 2002 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update -> 1.6.1
* Wed Nov 27 2002 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- Rebuild for Packman with all packages
* Fri Jul 05 2002 - kukuk@suse.de
- Use %%ix86 macro
* Thu Jul 04 2002 - ro@suse.de
- neededforbuild quicktime4linux -> libquicktime
* Tue Jun 25 2002 - uli@suse.de
- build movtar with -fPIC
* Wed Jun 12 2002 - uli@suse.de
- update -> 1.6.0 (final)
* Fri May 24 2002 - meissner@suse.de
- %%_lib fixes.
* Fri Apr 26 2002 - uli@suse.de
- update -> 1.6.0-rc2
- update jpeg-mmx -> 0.1.4-rc1
- update libmovtar -> 0.1.3-rc1
- ditched buildroot crap, it breaks movtar
- disabled cmov optimizations (no runtime detection)
- changed MPEGTOOLS switch to DISTRIBUTABLE (with inverse logic)
  to ensure consistency with other packages
* Wed Apr 03 2002 - sf@suse.de
- update to 1.6.0-beta2
- gcc3 fix
- spec cleanup
- removed mjpegtools.dif
- added DV-support again, as mmx-detection in libdv is "fixed"
- added buildroot
* Fri Feb 08 2002 - uli@suse.de
- build without DV support (causes reliable segfaults even on
  non-DV input)
* Fri Feb 01 2002 - ro@suse.de
- changed neededforbuild <libpng> to <libpng-devel-packages>
* Fri Jan 25 2002 - uli@suse.de
- update -> 1.6.0-beta1
* Wed Aug 08 2001 - ro@suse.de
- changed neededforbuild <sdl> to <SDL>
- changed neededforbuild <sdl-devel> to <SDL-devel>
* Tue Jul 10 2001 - uli@suse.de
- initial package
